System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.All, AllowMultiple=true, Inherited=true)

The class you use for the design-time services must implement the interface.

Use the property to find the designer's base type. Use the property to get the name of the type of designer associated with this member.

For more information, see Extending Metadata Using Attributes.

Specifies the class used to implement design-time services for a component.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class you use for the design-time services must implement the interface.

  Initializes a new instance of the class using the name of the type that provides design-time services.

  The concatenation of the fully qualified name of the type that provides design-time services for the component this attribute is bound to, and the name of the assembly this type resides in.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class you use for the design-time services must implement the interface.

  Initializes a new instance of the class using the type that provides design-time services.

  A that represents the class that provides design-time services for the component this attribute is bound to.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class you use for the design-time services must implement the interface.

  The parameter allows you to attach more than one type of designer for a given class.

  Initializes a new instance of the class using the designer type and the base class for the designer.

  The concatenation of the fully qualified name of the type that provides design-time services for the component this attribute is bound to, and the name of the assembly this type resides in.
  The fully qualified name of the base class to associate with the designer class.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class you use for the design-time services must implement the interface.

  The parameter allows you to attach more than one type of designer for a given class.

  Initializes a new instance of the class, using the name of the designer class and the base class for the designer.

  The concatenation of the fully qualified name of the type that provides design-time services for the component this attribute is bound to, and the name of the assembly this type resides in.
  A that represents the base class to associate with the .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class you use for the design-time services must implement the interface.

  The parameter allows you to attach more than one type of designer for a given class.

  Initializes a new instance of the class using the types of the designer and designer base class.

  A that represents the class that provides design-time services for the component this attribute is bound to.
  A that represents the base class to associate with the .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the base type of this designer.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the designer type associated with this designer attribute.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  It is used by filtering algorithms to identify two attributes that are the same type. For most attributes, this just returns the instance for the attribute. overrides this to include the type of the designer base type.

  Gets a unique ID for this attribute type.